Hoppa till innehåll

Foto
- - - - -

Stöds inte classic-miljön längre?


  • Vänligen logga in för att kunna svara
17 svar till detta ämne

#1 Ulfie81

Ulfie81
  • Medlem
  • 79 inlägg
  • Mac(ar): power mac G5 dual 2ghz 4gb RAM, Macbook Pro 2,4GHz 4GB RAM

Postad 5 januari 2011 klockan 12:07

Halloj!




Har just rensat upp en gammal G4 på jobbet och förde över en RIP jag behöver till en skrivare till min mbp. Men när jag försöker starta programmet säger den att classic miljön inte stöds längre.
G4an har 10.4 installerta men jag antar att den tidigare haft os9. I alla fall, finns det något sätt att få classic program att funka i snow leopard?


Tacksam som attan för hjälp :)

Mvh Uffe
  • 0

#2 Raphael

Raphael
  • Medlem
  • 7 961 inlägg
  • Mac(ar): MacBook Pro 2.4Ghz

Postad 5 januari 2011 klockan 12:10

Snow Leopard saknar stöd för Power PC program (som Mac OS 9), den är helt anpassad efter Intel-processor.

Det finns emulatorer att införskaffa...

http://www.tuaw.com/...er-can-do-that/
  • 0

#3 climacx

climacx
  • Medlem
  • 2 048 inlägg

Postad 5 januari 2011 klockan 22:05

Tiger 10.4(11) på en G4 (PPC) behöver OS 9.2.1 installerad (kan efteråt uppdateras till 9.2.2, som är sista pre-OS X version).
Det ska gå att både få stöd för Classicmiljön i Tiger samt kunna boota G4:an direkt i OS 9(.2.2).

Inga emulatorer alls behövs, så klart, för PowerPC/Tiger/OS 9. Skaffa 9:an och kör hårt :)
(reserverar mej en liten aning för ev egna minnesluckor pga den förflutna tiden sen jag senast körde Classic)

Men om du ska ha Leopard på G4:an (är det bra det?), så gäller Raphaels svar, förstås.

Redigerat av climacx, 5 januari 2011 klockan 22:07.

  • 0

#4 Ulfie81

Ulfie81
  • Medlem
  • 79 inlägg
  • Mac(ar): power mac G5 dual 2ghz 4gb RAM, Macbook Pro 2,4GHz 4GB RAM

Postad 6 januari 2011 klockan 13:48

tack för svaren!


Nej G4an ska skrotas och ersättas med en ny imac.... under tiden använder jag min egen mbp. Dock har jag en RIP till en skrivare som ligger på den gamla G4an som jag behöver flytta. Den datorn kom med skrivaren som använder RIPen och vi har därför inga skivor kvar. Jag misstänker att OS 9 under tid har uppgraderats till 10.4. I alla fall, nu ska den då skrotas och ersättas med en nyare dator men jag måste få med mig detta program över till snow leopard för att kunna genomföra mitt dagliga jobb :) Hoppas ni hänger med på vad jag menar


Mvh Uffe
  • 0

#5 mattem

mattem
  • Moderator
  • 14 992 inlägg
  • Plats: Skåne/Östraby
  • Mac(ar): MacBook Pro 6.2 2.4 GHz i5 15" 8 GB RAM med 160 GB SSD samt MacBook Pro 4.1 2.4 GHz C2D 15" 6 GB RAM med 120 SSD

Postad 6 januari 2011 klockan 14:09

Du får helt enkelt prova om programmet fungerar med OS X 10.6 innan du slänger ut din gamla dator. Du har inte kontaktat tillverkaren? Är ditt program så gammalt som det verkar och endast fungerar under classic så är det kört. PPC-kod fungerar utmärkt på OS X 10.6 med den inbyggda emulatorn rosetta som finns i OS X 10.6.

Vad är det för speciellt program som är ett krav för ditt arbete? Låter som om din arbetsgivare får öppna lädret för en ny version eller helt enkelt få ett nytt program skrivet för ändamålet om det inte existerar.
  • 0

#6 Ulfie81

Ulfie81
  • Medlem
  • 79 inlägg
  • Mac(ar): power mac G5 dual 2ghz 4gb RAM, Macbook Pro 2,4GHz 4GB RAM

Postad 6 januari 2011 klockan 18:01

Halloj!

Det funkar inte, har försökt. Det är en RIP(raster image processor) till en skrivare som gör att man ska kunna få 100% svart vid utskrift på liknande OH film för att göra original till screen-tryck. Även ha bra kontroll över raster och dylikt vid utskrifter i indesign och illustrator.
Jag får kontakta tillverkaren och se vad dom kan säga, kanske e dom snälla nog att släppa en nyckel åt mig. Jag menar vi har USB-dongel(hårdvarulås) och liknande så borde inte vara helt omöjligt.

Jag har försökt öppna med rosetta men inget händer när jag gör det, eller snarare jag har inte det valet när jag visar info om programmet, hur kan jag starta ett program med rosetta annars?

mvh Uffe
  • 0

#7 Thomas Ytterberg

Thomas Ytterberg

    MacWorlds veterantestare

  • Medlem
  • 8 371 inlägg
  • Mac(ar): MBPro 2009 2,8 GHz, PM G5 2x2,0 och PowerBook G4/800

Postad 6 januari 2011 klockan 19:23

Ifall programmet kräver Classic/OS 9 så kommer Rosetta inte att hjälpa eftersom det inte är möjligt att köra dessa gamla program på en Intel-Mac. Rosetta kan endast ta hand om emulering för PowerPC-program som fungerar med OS X. Sheepshaver är rätt pysslig att få igång och i detta fall när usb-dongel och hårdvara är inblandat brukar chanserna att lyckas vara små.

För att få igång RIP:en är det alltså tre möjliga vägar:

1. Restaurera den gamla G4:n så att den kan köra OS 9 vilket inte alls är lätt ifall man saknar gamla systemskivor och liknande. Inte omöjligt men en fråga om hur mycket tid och energi man vill lägga på ett veteranprojekt.

2. Uppdatera RIP:en till en version som fungerar med OS X och moderna Macar.

3. Leta efter en ny programvara för rippning. Har inte koll på detaljerna men det kan vara så att de krav som ställs om 100% svart och liknande i själva verket går att ordna med nyare versioner av exempelvis Indesign eller andra CS-komponenter som Acrobat.
  • 0
Thomas Ytterberg - frilansare - skribent - testare - fotograf - färgkalibrering - spinning

#8 Ulfie81

Ulfie81
  • Medlem
  • 79 inlägg
  • Mac(ar): power mac G5 dual 2ghz 4gb RAM, Macbook Pro 2,4GHz 4GB RAM

Postad 6 januari 2011 klockan 21:30

Ifall programmet kräver Classic/OS 9 så kommer Rosetta inte att hjälpa eftersom det inte är möjligt att köra dessa gamla program på en Intel-Mac. Rosetta kan endast ta hand om emulering för PowerPC-program som fungerar med OS X. Sheepshaver är rätt pysslig att få igång och i detta fall när usb-dongel och hårdvara är inblandat brukar chanserna att lyckas vara små.

För att få igång RIP:en är det alltså tre möjliga vägar:

1. Restaurera den gamla G4:n så att den kan köra OS 9 vilket inte alls är lätt ifall man saknar gamla systemskivor och liknande. Inte omöjligt men en fråga om hur mycket tid och energi man vill lägga på ett veteranprojekt.

2. Uppdatera RIP:en till en version som fungerar med OS X och moderna Macar.

3. Leta efter en ny programvara för rippning. Har inte koll på detaljerna men det kan vara så att de krav som ställs om 100% svart och liknande i själva verket går att ordna med nyare versioner av exempelvis Indesign eller andra CS-komponenter som Acrobat.


tackar för svaret. Jag får nog leta efter ny rip då. :) vi kör CS5 på jobbet och det går inte direkt ur dessa, det behöver vara 100%täckande, en RIP kan justera densiteten på utskriften, hade hoppats slippa införskaffa en ny RIP då det handlar om 15 bananer eller nåt :) Ska leta efter nåt bra
  • 0

#9 sebbe

sebbe
  • Medlem
  • 616 inlägg

Postad 6 januari 2011 klockan 22:32

Tiger 10.4(11) på en G4 (PPC) behöver OS 9.2.1 installerad (kan efteråt uppdateras till 9.2.2, som är sista pre-OS X version).
Det ska gå att både få stöd för Classicmiljön i Tiger samt kunna boota G4:an direkt i OS 9(.2.2).

Inga emulatorer alls behövs, så klart, för PowerPC/Tiger/OS 9. Skaffa 9:an och kör hårt :)
(reserverar mej en liten aning för ev egna minnesluckor pga den förflutna tiden sen jag senast körde Classic)

Men om du ska ha Leopard på G4:an (är det bra det?), så gäller Raphaels svar, förstås.


En liten rättelse bara!
Om jag nu minns rätt...
Classic var en emulering som gjorde att du kunde köra OS9 i OSX på G4!
(G3 gick att boota i båda systemen, inte G4)

Redigerat av sebbe, 6 januari 2011 klockan 22:35.

  • 0

#10 Thomas Ytterberg

Thomas Ytterberg

    MacWorlds veterantestare

  • Medlem
  • 8 371 inlägg
  • Mac(ar): MBPro 2009 2,8 GHz, PM G5 2x2,0 och PowerBook G4/800

Postad 7 januari 2011 klockan 01:29

Ska man vara petig är classic är inte emulering, utan en OS 9 körs som ett egen process och är en del av OS X fram till 10.4. Virtualisering är möjligen en lämpligare beskrivning. :)

Macar med G4-processor både kan och inte kan starta från OS 9. Gränserna är lite luddiga men har Macen något av usb 2.0, Firewire 800, trådlöst 11g-nätverk eller att den såldes med en processor snabbare än 1 GHz, så är hårdvaran så pass ny att Apple inte längre inkluderade möjlighet till start i OS 9.

Redigerat av Thomas Ytterberg, 7 januari 2011 klockan 01:29.

  • 0
Thomas Ytterberg - frilansare - skribent - testare - fotograf - färgkalibrering - spinning

#11 bjoernowitsch

bjoernowitsch
  • Medlem
  • 715 inlägg
  • Plats: Västerås
  • Mac(ar): Power Mac G5 1,8 GHz, PowerPC 7400 med G4 450 MHz

Postad 7 januari 2011 klockan 05:27

Min gamla PowerPC G4 kan starta i både Mac OS X 10.4.11 och OS 9.2.2, men när den går i OS 9, fungerar inte DVD-spelaren när jag försöker se en film. Det kan bero på att jag för cirka 5 år sedan bytte ut den gamla DVD-läsaren mot en brännare. För övrigt har jag inga problem med systemen i den Macapären. Vad jag skulle önska mig är att i stället för att starta i det ena systemet och behöva välja den andra startvolymen för att få i gång den, kunna välja system redan från början, som ikoner för varje system, klicka på den ikon jag vill och få i gång det direkt.
  • 0
Jag tror på ett liv efter solnedgången.

#12 sebbe

sebbe
  • Medlem
  • 616 inlägg

Postad 7 januari 2011 klockan 09:57

Var det alt-tangenten man skulle hålla nere vid start?
  • 0

#13 bjoernowitsch

bjoernowitsch
  • Medlem
  • 715 inlägg
  • Plats: Västerås
  • Mac(ar): Power Mac G5 1,8 GHz, PowerPC 7400 med G4 450 MHz

Postad 7 januari 2011 klockan 10:08

Kanske det var den, för jag har skrivit och frågat om det i en tråd. Tyvärr rapporterade jag inte om vad som hände när jag försökte, men tyvärr gick det inte som jag trodde. Jag kunde fortfarande bara öppna det system jag hade valt som startvolym, så jag efterlyser en annan metod att välja startvolym än att gå in i systeminställningarna, om det finns någon.
  • 0
Jag tror på ett liv efter solnedgången.

#14 Thomas Ytterberg

Thomas Ytterberg

    MacWorlds veterantestare

  • Medlem
  • 8 371 inlägg
  • Mac(ar): MBPro 2009 2,8 GHz, PM G5 2x2,0 och PowerBook G4/800

Postad 7 januari 2011 klockan 10:20

Alt-tangenten är metoden för att välja OS X eller Windows i bootcamp. Kommer inte ihåg hur det är med OS 9/OS X och gamla G4:n finns inte där jag finns de närmaste dagarna.
  • 0
Thomas Ytterberg - frilansare - skribent - testare - fotograf - färgkalibrering - spinning

#15 Wargen41

Wargen41
  • Medlem
  • 489 inlägg
  • Plats: Laholm
  • Mac(ar): Vit iMac 24″, vit MacBook 13″, vit iMac G4 15″

Postad 7 januari 2011 klockan 11:13

Alt-tangenten fungerar för att starta i OS 9 också (det fungerar i alla fall på min iMac G4), men jag skulle tro att det endast fungerar om systemen ligger på olika partitioner. Grejen med OS 9/Classic är ju att det även går att installera på samma partition som OS X.

Redigerat av Wargen41, 7 januari 2011 klockan 11:14.

  • 0

#16 bjoernowitsch

bjoernowitsch
  • Medlem
  • 715 inlägg
  • Plats: Västerås
  • Mac(ar): Power Mac G5 1,8 GHz, PowerPC 7400 med G4 450 MHz

Postad 7 januari 2011 klockan 11:18

Jo, förmodligen är det som Wargen41 skriver, men att lägga systemen på var sin partition har jag inte itts göra, för då hade jag fått installera om allting från början, och det har/hade jag ingen lust med.
  • 0
Jag tror på ett liv efter solnedgången.

#17 rana

rana
  • Medlem
  • 108 inlägg
  • Plats: Skåne
  • Mac(ar): iBook G4, PowerMac G5

Postad 25 januari 2011 klockan 19:23

Ska man vara petig är classic är inte emulering, utan en OS 9 körs som ett egen process och är en del av OS X fram till 10.4. Virtualisering är möjligen en lämpligare beskrivning. :)

Macar med G4-processor både kan och inte kan starta från OS 9. Gränserna är lite luddiga men har Macen något av usb 2.0, Firewire 800, trådlöst 11g-nätverk eller att den såldes med en processor snabbare än 1 GHz, så är hårdvaran så pass ny att Apple inte längre inkluderade möjlighet till start i OS 9.


Det fanns en powermac med 1,25 GHz processor som kunde starta från OS 9:

http://www.everymac....4_1.25_mdd.html
  • 0
arvalis, sällsynt i fjällen och delar av norrland

#18 Thomas Ytterberg

Thomas Ytterberg

    MacWorlds veterantestare

  • Medlem
  • 8 371 inlägg
  • Mac(ar): MBPro 2009 2,8 GHz, PM G5 2x2,0 och PowerBook G4/800

Postad 25 januari 2011 klockan 20:50

Japp, enda OS9-bootbara Macen som sålts med snabbare processor än 1 GHz. En specialare som återinfördes och såldes ett tag parallellt med Powermac G5. Den har heller inte något av usb 2.0, Firewire 800 eller 11g-nätverk.
  • 0
Thomas Ytterberg - frilansare - skribent - testare - fotograf - färgkalibrering - spinning




0 användare läser detta ämne

0 medlemmar, 0 gäster, 0 anonyma medlemmar

RSS Senaste nytt från MacWorld